You signed in with another tab or window. Reload to refresh your session.You signed out in another tab or window. Reload to refresh your session.You switched accounts on another tab or window. Reload to refresh your session.Dismiss alert
documentdb#315 — Performance degradation on large collection with hashed index P1 · engine · size L · 383d old · @visridha
documentdb#685 — documentdb-local: operator password is readable in the process list for the container's lifetime P1 · emulator · size XS · 69d old · @guanzhousongmicrosoft
documentdb#752 — Default container user can't create other users (readAnyDatabase/readWriteAnyDatabase grants fail) P1 · engine · size M · 2d old · unassigned · filed by xgerman
documentdb#720 — Gateway permanently fails all requests for a user after a dynamic-config refresh flips the connection-pool key ("Connection pool missing for user.") P1 · gateway · size M · 53d old · @tsharp
documentdb#369 — Several errors on PostgreSQL build with Valgrind P1 · engine · size L · 334d old · @visridha
documentdb#717 — Transaction Failure when System is Under Concurrent Stress P1 · engine · size L · 56d old · @tsharp
documentdb#722 — DocumentDB Local loses connection pool for user after idle period P1 · gateway · size L · 52d old · @tsharp
documentdb#417 — A deadlock occurs when executing the drop_indexes command in parallel. P1 · engine · size M · 264d old · @lichoil
documentdb#686 — documentdb-local: a failed PostgreSQL bootstrap hangs 60s and reports a misleading error P2 · emulator · size XS · 69d old · @guanzhousongmicrosoft
documentdb#727 — documentdb-setup cannot stop the gateway on non-systemd RHEL: undeclared procps dependency P2 · packaging · size M · 40d old · @guanzhousongmicrosoft
documentdb#733 — Support common Ubuntu and PGDG repository/package integration states in the native installer P2 · packaging · size L · 32d old · @guanzhousongmicrosoft
documentdb#732 — Make native installer resume and day-two diagnostics deterministic and actionable P2 · packaging · size L · 32d old · @guanzhousongmicrosoft
documentdb#731 — Align native installer username and password-file validation with backend and client semantics P2 · packaging · size M · 32d old · @guanzhousongmicrosoft
PR documentdb#747 — Date v0.117-0 in the changelog P3 · docs · size XS · review required · 6d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#746 — Add Python and Node.js driver compatibility with immutable result history P3 · docs · size XL · draft · 11d old · unassigned · filed by udsmicrosoft
documentdb#520 — Add Fedora rpm packages to offical Fedora repo P3 · packaging · size L · 205d old · @alaye-ms
PR documentdb#739 — Replace built-in sample data with StoreData P3 · emulator · size L · review required · 25d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#741 — [DOCS] Engine onboarding P3 · docs · size M · review required · 23d old · unassigned · filed by alaye-ms
PR documentdb#738 — [DO NOT MERGE] Test fork CI trigger P3 · docs · size XS · draft · 26d old · unassigned · filed by udsmicrosoft
PR documentdb#634 — Migrate API doc from docs repo to code repo P3 · docs · size XL · review required · 111d old · unassigned · filed by alaye-ms
Per-team rollup of all open items by Component. Counts include all priorities; the top items shown for each team are sorted P0→P3 then by oldest stuck. Use this to split work across teams.
documentdb#531 — Server crashes when executing SELECT BSONLASTN(document, 3, ARRAY['{ "a.c":-1}', '{"a.b":-1}']::bson[]) FROM ... P0 · engine · size M · 197d old · @niupre
documentdb#635 — SIGSEGV in aggregate_cursor_first_page under background-worker concurrency (daily functional suite red since 2026-06-16) P0 · engine · size L · 107d old · unassigned · filed by guanzhousongmicrosoft
documentdb#532 — Server crashes when executing SELECT document FROM bson_aggregation_find(...); P0 · engine · size L · 197d old · @changanhan
documentdb#734 — Reject overlong dropUser and updateUser names before PostgreSQL identifier truncation P0 · engine · size M · 32d old · unassigned · filed by GuanzhouSong
documentdb#730 — create_user silently truncates user names longer than PostgreSQL's 63-byte identifier limit P0 · engine · size XS · 32d old · unassigned · filed by GuanzhouSong
…and 94 more in this team. Filter Project #7 by Component for the full list.
PR documentdb#690 — fix(gw): stop reaping in-use connection pools after 2h of uptime P0 · gateway · size L · review required · 69d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#723 — fix(gateway): keep last-known-good max_connections on bad GUC read P1 · gateway · size M · review required · 51d old · unassigned · filed by morch23mj
PR documentdb#721 — fix(gateway): reuse existing user pool on settings-key miss in get_data_pool P1 · gateway · size S · review required · 53d old · @tsharp
PR documentdb#691 — proposal(gw): harden pool eviction — recoverable 391 on missing pool + type-owned last-used encoding P1 · gateway · size L · draft · 69d old · unassigned · filed by guanzhousongmicrosoft
documentdb#653 — explain with verbosity: executionStats returns InternalError on PostgreSQL 18 with pg_documentdb_gateway P1 · gateway · size XS · 85d old · @tsharp
…and 32 more in this team. Filter Project #7 by Component for the full list.
PR documentdb#620 — Fix ALLOW_EXTERNAL_CONNECTIONS check in emulator_entrypoint.sh P0 · emulator · size XS · review required · 125d old · unassigned · filed by GuanzhouSong
PR documentdb#726 — Bind the packaged gateway to loopback unless --listen-all is given P0 · emulator · size M · review required · 41d old · unassigned · filed by GuanzhouSong
documentdb#650 — documentdb_api.get_parameter(boolean, boolean, text[]) is not defined — every MongoDB request fails with 42883 in :pg17-0.113.0 and :pg17-0.112.0 P0 · emulator · size M · 88d old · @AndrewKhoma
…and 25 more in this team. Filter Project #7 by Component for the full list.
PR documentdb#662 — Fix bson_aggregation_pipeline_tests vector test broken by pgvector 0.8.5 P1 · ci · size M · review required · 81d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#451 — Add Alpine Linux support for package building and testing P2 · packaging · size L · review required · 237d old · unassigned · filed by shuaitian-git
…and 37 more in this team. Filter Project #7 by Component for the full list.
documentdb#737 — pg_dump restores physical documents without collection metadata
· 27d old · unassigned · filed by xgerman
documentdb#603 — Add PostgreSQL 19 support to build pipelines (internal + GitHub)
· 152d old · @udsmicrosoft
documentdb#638 — [Feature Request] Gateway: bound async runtime worker threads with a sensible default and make it env-configurable
· 103d old · @AndrewKhoma
…and 9 more in this team. Filter Project #7 by Component for the full list.
P0 — Needs action this week (17)
Drop-everything items: security, data loss, broken main, panics. Sorted by most recent activity.
documentdb#688 — documentdb-local: no end-to-end coverage for lifecycle, durability, and default security posture P0 · emulator · size L · 69d old · @guanzhousongmicrosoft
documentdb#533 — Server crashes when executing SELECT documentdb_api_internal.create_indexes_non_concurrently(...); P0 · engine · size M · 197d old · @juaduan
documentdb#530 — Server crashes when executing SELECT documentdb_api.create_collection('db', 'bsoexplainnorderby'); P0 · engine · size M · 197d old · @diipak-bisht
documentdb#734 — Reject overlong dropUser and updateUser names before PostgreSQL identifier truncation P0 · engine · size M · 32d old · unassigned · filed by GuanzhouSong
documentdb#730 — create_user silently truncates user names longer than PostgreSQL's 63-byte identifier limit P0 · engine · size XS · 32d old · unassigned · filed by GuanzhouSong
PR documentdb#576 — RFC-0011 Operation Metadata Tracking for currentOp Support P2 · engine · size XL · review required · 177d old · unassigned · filed by pamulart
PR documentdb#597 — Add Rfc0008 - Introduces a versioning and release scheme P2 · docs · size M · review required · 160d old · unassigned · filed by alaye-ms
documentdb#675 — Triage: weekly sync (ext 0.113-0.117) open-issue fix verification - 10 fixed, 13 partial, 58 not fixed (runtime-verified) P0 · governance · size L · 73d old · unassigned · filed by guanzhousongmicrosoft
documentdb#676 — Triage: weekly sync (ext 1.113–1.117) open-issue fix verification — 14 fixed, 7 partial P0 · governance · size L · 73d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#693 — docs(rfc): RFC-0016 Scarf Usage Telemetry for DocumentDB P2 · docs · size M · review required · 68d old · unassigned · filed by Ritvik-Jayaswal
Stale PRs needing review or close (72)
PRs opened over 30 days ago and still awaiting review. Decide: approve, request changes, or close.
PR documentdb#262 — Migrating functions to new schemas to support RBAC P2 · docs · size M · review required · 424d old · unassigned · filed by DeepakSPemmaraju
PR documentdb#352 — update project roles in GOVERNANCE.md and MAINTAINERS.md P3 · docs · size M · review required · 357d old · unassigned · filed by lichoil
PR documentdb#440 — Adding RFC draft proposal for Standardization of Gateway / Extension … P2 · docs · size M · review required · 244d old · unassigned · filed by seoc01
PR documentdb#444 — [RustGW] Add max_incoming_connections config for connection limiting P2 · gateway · size M · review required · 241d old · unassigned · filed by akshayrao96
PR documentdb#451 — Add Alpine Linux support for package building and testing P2 · packaging · size L · review required · 237d old · unassigned · filed by shuaitian-git
PR documentdb#455 — Add commitTransaction and abortTransaction admin db error handling P2 · gateway · size M · review required · 234d old · @tsharp, @AndrewKhoma
PR documentdb#472 — Implemented listDatabases command for gateway standardization - RFC:0010 P2 · review required · 221d old · unassigned · filed by drk-knght
PR documentdb#514 — Add version check to enable backward compatible Gateway-Extension BSO… P2 · gateway · size L · review required · 207d old · unassigned · filed by v-sathvik
documentdb#762 — Vector index via createIndex() helper fails with a misleading "options were not provided" error
· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#757 — [gateway] SCRAM auth failures return cryptic "Invalid key" and reveal whether a user exists
· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#756 — [gateway] transaction_timeout_sec and max_request_timeout_sec cannot be configured: GUCs are never registered
· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#755 — [gateway] Hidden capacity limits fail requests under load
· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#752 — Default container user can't create other users (readAnyDatabase/readWriteAnyDatabase grants fail) P1 · engine · size M · 2d old · unassigned · filed by xgerman
PRs where a reviewer asked for changes and the author hasn't responded in over a week. Consider pinging or closing.
PR documentdb#448 — Add replica set fields support and isdbgrid configuration P2 · gateway · size L · changes requested · 238d old · unassigned · filed by v-sathvik
PR documentdb#316 — Adding a github workflow to run mongo's compatibility tests P2 · ci · size M · changes requested · 383d old · unassigned · filed by vtarassov
PR documentdb#667 — $group: don't bind the group key expression to the query timestamp P2 · engine · size S · changes requested · 81d old · unassigned · filed by gmprestes
Bot needs help triaging
Bot couldn't confidently classify these. Apply a component label and the bot will pick them up next run.
(none)
Big PRs needing chunked review (40)
XL-size PRs (cross-component / large refactor). Often need a focused review session rather than ad-hoc.
PR documentdb#517 — Add BSON signature for drop_collection and drop_database P2 · gateway · size XL · review required · 206d old · unassigned · filed by v-sathvik
PR documentdb#677 — documentdb-local: built-in healthcheck, Docker Compose and dev container examples P2 · emulator · size XL · draft · 72d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#713 — Functional tests: run the full suite under the known-failures xfail model, and halve the build P2 · emulator · size XL · approved · 62d old · unassigned · filed by guanzhousongmicrosoft
PR documentdb#746 — Add Python and Node.js driver compatibility with immutable result history P3 · docs · size XL · draft · 11d old · unassigned · filed by udsmicrosoft
If a label is wrong, remove it; the bot will not re-label items that already have component labels. To request triage rules be tuned, ping @patty-chow.
reacted with thumbs up emoji reacted with thumbs down emoji reacted with laugh emoji reacted with hooray emoji reacted with confused emoji reacted with heart emoji reacted with rocket emoji reacted with eyes emoji
Uh oh!
There was an error while loading. Please reload this page.
DocumentDB Top Issues — week of 2026-10-05
Generated by documentdb-triage-tool at 2026-10-05T17:39:47.692Z.
Items grouped from Project #7 "Issue triage".
At a glance
Avg PR age: 122d · Median: 98d · Items without component classification: 14
Priority: P0 — 17 · P1 — 18 · P2 — 183 · P3 — 25
By component
engine— 99gateway— 37docs— 30emulator— 30packaging— 27ci— 15governance— 4Priority drill-down
P1 — 18 open
documentdb#315 — Performance degradation on large collection with hashed indexP1 ·
engine· size L · 383d old · @visridhadocumentdb#685 — documentdb-local: operator password is readable in the process list for the container's lifetimeP1 ·
emulator· size XS · 69d old · @guanzhousongmicrosoftdocumentdb#744 — DocumentDB sync sha=74e0c109b1 (part 1/2)P1 ·
engine· size XL · review required · 11d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#745 — Scheduled packaging E2E is failingP1 ·
packaging· size M · 11d old · @guanzhousongmicrosoftdocumentdb#752 — Default container user can't create other users (readAnyDatabase/readWriteAnyDatabase grants fail)P1 ·
engine· size M · 2d old · unassigned · filed by xgermandocumentdb#720 — Gateway permanently fails all requests for a user after a dynamic-config refresh flips the connection-pool key ("Connection pool missing for user.")P1 ·
gateway· size M · 53d old · @tsharpdocumentdb#369 — Several errors on PostgreSQL build with ValgrindP1 ·
engine· size L · 334d old · @visridhadocumentdb#717 — Transaction Failure when System is Under Concurrent StressP1 ·
engine· size L · 56d old · @tsharpdocumentdb#722 — DocumentDB Local loses connection pool for user after idle periodP1 ·
gateway· size L · 52d old · @tsharpdocumentdb#417 — A deadlock occurs when executing the drop_indexes command in parallel.P1 ·
engine· size M · 264d old · @lichoilsee all 18
P2 — 183 open
documentdb#564 — Simplify Docker images to use package-installed script pathsP2 ·
packaging· size M · 180d old · @guanzhousongmicrosoftdocumentdb#510 — Conflicting update operators on same field path accepted instead of returning an errorP2 ·
engine· size M · 207d old · @srwshkrshnndocumentdb#389 — documentdb debian is missing copyright fileP2 ·
packaging· size XS · 300d old · @guanzhousongmicrosoftdocumentdb#686 — documentdb-local: a failed PostgreSQL bootstrap hangs 60s and reports a misleading errorP2 ·
emulator· size XS · 69d old · @guanzhousongmicrosoftdocumentdb#727 — documentdb-setup cannot stop the gateway on non-systemd RHEL: undeclared procps dependencyP2 ·
packaging· size M · 40d old · @guanzhousongmicrosoftdocumentdb#733 — Support common Ubuntu and PGDG repository/package integration states in the native installerP2 ·
packaging· size L · 32d old · @guanzhousongmicrosoftdocumentdb#732 — Make native installer resume and day-two diagnostics deterministic and actionableP2 ·
packaging· size L · 32d old · @guanzhousongmicrosoftdocumentdb#731 — Align native installer username and password-file validation with backend and client semanticsP2 ·
packaging· size M · 32d old · @guanzhousongmicrosoftdocumentdb#735 — Preserve gateway state ownership across RPM erase and reinstallP2 ·
packaging· size M · 32d old · @guanzhousongmicrosoftdocumentdb#754 — DocumentDB sync sha=3b64cdf8b9P2 ·
engine· size XL · review required · 0d old · unassigned · filed by guanzhousongmicrosoftsee all 183
P3 — 25 open
documentdb#529 — [Feature Request] improve perfromance of index creation in dcumentdb-localP3 ·
emulator· size XS · 200d old · @Ritvik-Jayaswal, @guanzhousongmicrosoftdocumentdb#519 — Automate package build in COPR through web hookP3 ·
packaging· size M · 205d old · @guanzhousongmicrosoft, @alaye-msdocumentdb#482 — Develop docker-compose examplesP3 ·
emulator· size XS · 215d old · @guanzhousongmicrosoftdocumentdb#747 — Date v0.117-0 in the changelogP3 ·
docs· size XS · review required · 6d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#746 — Add Python and Node.js driver compatibility with immutable result historyP3 ·
docs· size XL · draft · 11d old · unassigned · filed by udsmicrosoftdocumentdb#520 — Add Fedora rpm packages to offical Fedora repoP3 ·
packaging· size L · 205d old · @alaye-msdocumentdb#739 — Replace built-in sample data with StoreDataP3 ·
emulator· size L · review required · 25d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#741 — [DOCS] Engine onboardingP3 ·
docs· size M · review required · 23d old · unassigned · filed by alaye-msdocumentdb#738 — [DO NOT MERGE] Test fork CI triggerP3 ·
docs· size XS · draft · 26d old · unassigned · filed by udsmicrosoftdocumentdb#634 — Migrate API doc from docs repo to code repoP3 ·
docs· size XL · review required · 111d old · unassigned · filed by alaye-mssee all 25
By team
Per-team rollup of all open items by Component. Counts include all priorities; the top items shown for each team are sorted P0→P3 then by oldest stuck. Use this to split work across teams.
enginegatewayemulatorci,packagingdocsgovernanceEngine — top 5 of 99
documentdb#531 — Server crashes when executing SELECT BSONLASTN(document, 3, ARRAY['{ "a.c":-1}', '{"a.b":-1}']::bson[]) FROM ...P0 ·
engine· size M · 197d old · @niupredocumentdb#635 — SIGSEGV in aggregate_cursor_first_page under background-worker concurrency (daily functional suite red since 2026-06-16)P0 ·
engine· size L · 107d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#532 — Server crashes when executing SELECT document FROM bson_aggregation_find(...);P0 ·
engine· size L · 197d old · @changanhandocumentdb#734 — Reject overlong dropUser and updateUser names before PostgreSQL identifier truncationP0 ·
engine· size M · 32d old · unassigned · filed by GuanzhouSongdocumentdb#730 — create_user silently truncates user names longer than PostgreSQL's 63-byte identifier limitP0 ·
engine· size XS · 32d old · unassigned · filed by GuanzhouSong…and 94 more in this team. Filter Project #7 by Component for the full list.
Gateway — top 5 of 37
documentdb#690 — fix(gw): stop reaping in-use connection pools after 2h of uptimeP0 ·
gateway· size L · review required · 69d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#723 — fix(gateway): keep last-known-good max_connections on bad GUC readP1 ·
gateway· size M · review required · 51d old · unassigned · filed by morch23mjdocumentdb#721 — fix(gateway): reuse existing user pool on settings-key miss in get_data_poolP1 ·
gateway· size S · review required · 53d old · @tsharpdocumentdb#691 — proposal(gw): harden pool eviction — recoverable 391 on missing pool + type-owned last-used encodingP1 ·
gateway· size L · draft · 69d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#653 — explain with verbosity: executionStats returns InternalError on PostgreSQL 18 with pg_documentdb_gatewayP1 ·
gateway· size XS · 85d old · @tsharp…and 32 more in this team. Filter Project #7 by Component for the full list.
Emulator — top 5 of 30
documentdb#620 — Fix ALLOW_EXTERNAL_CONNECTIONS check in emulator_entrypoint.shP0 ·
emulator· size XS · review required · 125d old · unassigned · filed by GuanzhouSongdocumentdb#726 — Bind the packaged gateway to loopback unless --listen-all is givenP0 ·
emulator· size M · review required · 41d old · unassigned · filed by GuanzhouSongdocumentdb#557 — Aspire: Update container image from v0.109 to latestP0 ·
emulator· size XS · 180d old · @guanzhousongmicrosoftdocumentdb#556 — Aspire: Data volume path does not match container defaultP0 ·
emulator· size XS · 180d old · @guanzhousongmicrosoftdocumentdb#650 — documentdb_api.get_parameter(boolean, boolean, text[]) is not defined — every MongoDB request fails with 42883 in :pg17-0.113.0 and :pg17-0.112.0P0 ·
emulator· size M · 88d old · @AndrewKhoma…and 25 more in this team. Filter Project #7 by Component for the full list.
Infra — top 5 of 42
documentdb#662 — Fix bson_aggregation_pipeline_tests vector test broken by pgvector 0.8.5P1 ·
ci· size M · review required · 81d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#709 — Scheduled packaging E2E is failingP1 ·
packaging· size M · 65d old · @guanzhousongmicrosoftdocumentdb#670 — Do not change releases after they have been releasedP1 ·
packaging· size XS · 77d old · unassigned · filed by df7cbdocumentdb#745 — Scheduled packaging E2E is failingP1 ·
packaging· size M · 11d old · @guanzhousongmicrosoftdocumentdb#451 — Add Alpine Linux support for package building and testingP2 ·
packaging· size L · review required · 237d old · unassigned · filed by shuaitian-git…and 37 more in this team. Filter Project #7 by Component for the full list.
Docs — top 5 of 30
documentdb#698 — Triage: post-sync (ext 0.117 @ e2898e6) open-issue fix verification — 12 fixed, 12 partial, 59 not fixed (source + runtime verified)P0 ·
docs· size L · 65d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#549 — RFC-0015 Logical Session ManagementP2 ·
docs· size M · review required · 186d old · unassigned · filed by tsharpdocumentdb#542 — BSON IndexingP2 ·
docs· size M · review required · 194d old · unassigned · filed by nitinahuja89documentdb#493 — [RFC 0014] Documentdb-Local Emulator Application insightsP2 ·
docs· size M · review required · 208d old · unassigned · filed by Ritvik-Jayaswaldocumentdb#475 — Add RFC 0013: Guidance for contributing to Schema ValidationP2 ·
docs· size M · review required · 217d old · unassigned · filed by jiahu2…and 25 more in this team. Filter Project #7 by Component for the full list.
Governance — top 4 of 4
documentdb#676 — Triage: weekly sync (ext 1.113–1.117) open-issue fix verification — 14 fixed, 7 partialP0 ·
governance· size L · 73d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#675 — Triage: weekly sync (ext 0.113-0.117) open-issue fix verification - 10 fixed, 13 partial, 58 not fixed (runtime-verified)P0 ·
governance· size L · 73d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#573 — Create RFC for 1.0 releaseP2 ·
governance· size L · 178d old · @alaye-msdocumentdb#574 — Create an RFC for the release support processP2 ·
governance· size M · 178d old · @alaye-ms(unclassified) — top 5 of 14
documentdb#472 — Implemented listDatabases command for gateway standardization - RFC:0010P2 · review required · 221d old · unassigned · filed by drk-knght
documentdb#521 — Publish DocumentDB Aspire package on nuget· 205d old · @guanzhousongmicrosoft
documentdb#737 — pg_dump restores physical documents without collection metadata· 27d old · unassigned · filed by xgerman
documentdb#603 — Add PostgreSQL 19 support to build pipelines (internal + GitHub)· 152d old · @udsmicrosoft
documentdb#638 — [Feature Request] Gateway: bound async runtime worker threads with a sensible default and make it env-configurable· 103d old · @AndrewKhoma
…and 9 more in this team. Filter Project #7 by Component for the full list.
P0 — Needs action this week (17)
Drop-everything items: security, data loss, broken main, panics. Sorted by most recent activity.
documentdb#688 — documentdb-local: no end-to-end coverage for lifecycle, durability, and default security postureP0 ·
emulator· size L · 69d old · @guanzhousongmicrosoftdocumentdb#533 — Server crashes when executing SELECT documentdb_api_internal.create_indexes_non_concurrently(...);P0 ·
engine· size M · 197d old · @juaduandocumentdb#530 — Server crashes when executing SELECT documentdb_api.create_collection('db', 'bsoexplainnorderby');P0 ·
engine· size M · 197d old · @diipak-bishtdocumentdb#734 — Reject overlong dropUser and updateUser names before PostgreSQL identifier truncationP0 ·
engine· size M · 32d old · unassigned · filed by GuanzhouSongdocumentdb#730 — create_user silently truncates user names longer than PostgreSQL's 63-byte identifier limitP0 ·
engine· size XS · 32d old · unassigned · filed by GuanzhouSong…and 12 more, see Project #7 for the full list.
Open RFCs awaiting TSC discussion (17)
Policy / architectural proposals. Bot does not auto-classify these — TSC should weigh in.
documentdb#342 — Add RFC 001: Capped Collections DesignP2 ·
docs· size M · review required · 364d old · unassigned · filed by nitinahuja89documentdb#386 — Add RFC-0007: Guidance for Onboarding StatisticsP2 ·
docs· size M · review required · 305d old · unassigned · filed by WentingWu666666documentdb#410 — RFC-0009: Pluggable Authentication ArchitectureP2 ·
docs· size L · review required · 269d old · @tsharpdocumentdb#452 — [RFC-006] Phase 1: Add RBAC Metadata Infrastructure for AuthorizationP2 ·
engine· size L · review required · 236d old · unassigned · filed by nitinahuja89documentdb#460 — RFC-0012: Third-Party CI TestingP2 ·
docs· size L · review required · 229d old · unassigned · filed by xgermandocumentdb#475 — Add RFC 0013: Guidance for contributing to Schema ValidationP2 ·
docs· size M · review required · 217d old · unassigned · filed by jiahu2documentdb#497 — feat(gateway): Pluggable Authentication Architecture Phase 1 (RFC-0009)P2 ·
gateway· size L · review required · 208d old · unassigned · filed by straatsbdocumentdb#493 — [RFC 0014] Documentdb-Local Emulator Application insightsP2 ·
docs· size M · review required · 208d old · unassigned · filed by Ritvik-Jayaswaldocumentdb#549 — RFC-0015 Logical Session ManagementP2 ·
docs· size M · review required · 186d old · unassigned · filed by tsharpdocumentdb#575 — Incorporate the OTel collector into documentdb-local (RFC 0014)P2 ·
emulator· size L · 178d old · @Ritvik-Jayaswaldocumentdb#574 — Create an RFC for the release support processP2 ·
governance· size M · 178d old · @alaye-msdocumentdb#573 — Create RFC for 1.0 releaseP2 ·
governance· size L · 178d old · @alaye-msdocumentdb#576 — RFC-0011 Operation Metadata Tracking for currentOp SupportP2 ·
engine· size XL · review required · 177d old · unassigned · filed by pamulartdocumentdb#597 — Add Rfc0008 - Introduces a versioning and release schemeP2 ·
docs· size M · review required · 160d old · unassigned · filed by alaye-msdocumentdb#675 — Triage: weekly sync (ext 0.113-0.117) open-issue fix verification - 10 fixed, 13 partial, 58 not fixed (runtime-verified)P0 ·
governance· size L · 73d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#676 — Triage: weekly sync (ext 1.113–1.117) open-issue fix verification — 14 fixed, 7 partialP0 ·
governance· size L · 73d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#693 — docs(rfc): RFC-0016 Scarf Usage Telemetry for DocumentDBP2 ·
docs· size M · review required · 68d old · unassigned · filed by Ritvik-JayaswalStale PRs needing review or close (72)
PRs opened over 30 days ago and still awaiting review. Decide: approve, request changes, or close.
documentdb#262 — Migrating functions to new schemas to support RBACP2 ·
docs· size M · review required · 424d old · unassigned · filed by DeepakSPemmarajudocumentdb#352 — update project roles in GOVERNANCE.md and MAINTAINERS.mdP3 ·
docs· size M · review required · 357d old · unassigned · filed by lichoildocumentdb#440 — Adding RFC draft proposal for Standardization of Gateway / Extension …P2 ·
docs· size M · review required · 244d old · unassigned · filed by seoc01documentdb#444 — [RustGW] Add max_incoming_connections config for connection limitingP2 ·
gateway· size M · review required · 241d old · unassigned · filed by akshayrao96documentdb#451 — Add Alpine Linux support for package building and testingP2 ·
packaging· size L · review required · 237d old · unassigned · filed by shuaitian-gitdocumentdb#455 — Add commitTransaction and abortTransaction admin db error handlingP2 ·
gateway· size M · review required · 234d old · @tsharp, @AndrewKhomadocumentdb#472 — Implemented listDatabases command for gateway standardization - RFC:0010P2 · review required · 221d old · unassigned · filed by drk-knght
documentdb#514 — Add version check to enable backward compatible Gateway-Extension BSO…P2 ·
gateway· size L · review required · 207d old · unassigned · filed by v-sathvik…and 64 more, see Project #7 for the full list.
Newly opened this week (15)
Opened in the last 7 days. Triage incoming work.
documentdb#754 — DocumentDB sync sha=3b64cdf8b9P2 ·
engine· size XL · review required · 0d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#760 — [packaging] documentdb-setup, reset and package removal report success that isn't true· 0d old · @guanzhousongmicrosoft
documentdb#759 — [documentdb-local] Init, runtime and quickstart gaps· 0d old · @guanzhousongmicrosoft
documentdb#758 — [documentdb-local] Secure-by-default gaps in the container image· 0d old · @guanzhousongmicrosoft
documentdb#761 — [packaging] Small packaging and test-harness fixes· 0d old · @guanzhousongmicrosoft
documentdb#762 — Vector index via createIndex() helper fails with a misleading "options were not provided" error· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#757 — [gateway] SCRAM auth failures return cryptic "Invalid key" and reveal whether a user exists· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#756 — [gateway] transaction_timeout_sec and max_request_timeout_sec cannot be configured: GUCs are never registered· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#755 — [gateway] Hidden capacity limits fail requests under load· 0d old · unassigned · filed by guanzhousongmicrosoft
documentdb#752 — Default container user can't create other users (readAnyDatabase/readWriteAnyDatabase grants fail)P1 ·
engine· size M · 2d old · unassigned · filed by xgerman…and 5 more, see Project #7 for the full list.
Author action needed (3)
PRs where a reviewer asked for changes and the author hasn't responded in over a week. Consider pinging or closing.
documentdb#448 — Add replica set fields support and isdbgrid configurationP2 ·
gateway· size L · changes requested · 238d old · unassigned · filed by v-sathvikdocumentdb#316 — Adding a github workflow to run mongo's compatibility testsP2 ·
ci· size M · changes requested · 383d old · unassigned · filed by vtarassovdocumentdb#667 — $group: don't bind the group key expression to the query timestampP2 ·
engine· size S · changes requested · 81d old · unassigned · filed by gmprestesBot needs help triaging
Bot couldn't confidently classify these. Apply a component label and the bot will pick them up next run.
(none)
Big PRs needing chunked review (40)
XL-size PRs (cross-component / large refactor). Often need a focused review session rather than ad-hoc.
documentdb#517 — Add BSON signature for drop_collection and drop_databaseP2 ·
gateway· size XL · review required · 206d old · unassigned · filed by v-sathvikdocumentdb#615 — DocumentDB sync sha=30c0ae5f91P2 ·
engine· size XL · review required · 132d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#623 — DocumentDB sync sha=6eb7ac67eeP2 ·
engine· size XL · review required · 122d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#553 — Add OpenTelemetry metrics instrumentation to gatewayP2 ·
gateway· size XL · draft · 181d old · @tsharpdocumentdb#649 — DocumentDB sync sha=90f5bfc4a4P2 ·
gateway· size XL · approved · 90d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#696 — DocumentDB sync sha=ec6107b675P2 ·
engine· size XL · approved · 67d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#718 — DocumentDB sync sha=536f4ea052P2 ·
gateway· size XL · review required · 55d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#719 — DocumentDB sync sha=536f4ea052P2 ·
gateway· size XL · approved · 55d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#725 — DocumentDB sync sha=e1e87f1557P2 ·
engine· size XL · approved · 47d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#596 — DocumentDB sync sha=eb5f65df5dP2 ·
gateway· size XL · review required · 161d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#592 — Gateway packaging: enable ready-to-use setup after installP2 ·
packaging· size XL · review required · 167d old · @guanzhousongmicrosoftdocumentdb#600 — DocumentDB sync sha=b8a528d0d5P2 ·
gateway· size XL · approved · 154d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#602 — Functional test gate implementationP2 ·
emulator· size XL · review required · 153d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#607 — DocumentDB sync sha=919a6976d2P2 ·
engine· size XL · approved · 147d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#611 — DocumentDB sync sha=6058bd09e4P2 ·
engine· size XL · review required · 140d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#613 — DocumentDB sync sha=7facf9a892P2 ·
engine· size XL · review required · 139d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#616 — DocumentDB sync sha=2d0994f141P2 ·
engine· size XL · approved · 131d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#621 — DocumentDB sync sha=8a002b663fP2 ·
engine· size XL · review required · 124d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#624 — DocumentDB sync sha=b3fbc6858aP2 ·
engine· size XL · review required · 122d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#626 — DocumentDB sync sha=cafa06d068P2 ·
engine· size XL · review required · 119d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#629 — DocumentDB sync sha=332d1d71aaP2 ·
engine· size XL · review required · 116d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#630 — DocumentDB sync sha=f3733595d9P2 ·
engine· size XL · approved · 116d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#633 — DocumentDB sync sha=c035baee3eP2 ·
engine· size XL · approved · 112d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#639 — DocumentDB sync sha=d5dd5486cdP2 ·
engine· size XL · approved · 103d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#642 — DocumentDB sync sha=292acaae6cP2 ·
gateway· size XL · review required · 98d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#643 — DocumentDB sync sha=ced642eac5P2 ·
gateway· size XL · approved · 97d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#656 — DocumentDB sync sha=34c22c7586P2 ·
gateway· size XL · review required · 82d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#671 — DocumentDB sync sha=9dd889254fP2 ·
engine· size XL · review required · 76d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#673 — DocumentDB sync sha=a72c75057fP2 ·
engine· size XL · review required · 76d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#674 — DocumentDB sync sha=b12a1e38c6P2 ·
engine· size XL · approved · 75d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#677 — documentdb-local: built-in healthcheck, Docker Compose and dev container examplesP2 ·
emulator· size XL · draft · 72d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#713 — Functional tests: run the full suite under the known-failures xfail model, and halve the buildP2 ·
emulator· size XL · approved · 62d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#714 — DocumentDB sync sha=db14247e60P2 ·
engine· size XL · review required · 61d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#716 — DocumentDB sync sha=df65b7b441P2 ·
gateway· size XL · review required · 59d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#634 — Migrate API doc from docs repo to code repoP3 ·
docs· size XL · review required · 111d old · unassigned · filed by alaye-msdocumentdb#729 — Add native one-command installerP2 ·
ci· size XL · review required · 34d old · unassigned · filed by GuanzhouSongdocumentdb#728 — DocumentDB sync sha=350b2bd61fP2 ·
gateway· size XL · review required · 35d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#743 — DocumentDB sync sha=74e0c109b1 (part 2/2)P2 ·
engine· size XL · review required · 12d old · unassigned · filed by guanzhousongmicrosoftdocumentdb#746 — Add Python and Node.js driver compatibility with immutable result historyP3 ·
docs· size XL · draft · 11d old · unassigned · filed by udsmicrosoftdocumentdb#744 — DocumentDB sync sha=74e0c109b1 (part 1/2)P1 ·
engine· size XL · review required · 11d old · unassigned · filed by guanzhousongmicrosoftIf a label is wrong, remove it; the bot will not re-label items that already have component labels. To request triage rules be tuned, ping
@patty-chow.All reactions